Bug 178262 - [patch] dns/unbound, dns/ldns: openssl port iff base version < 1.0
[patch] dns/unbound, dns/ldns: openssl port iff base version < 1.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 16:20 UTC by Jan Beich
Modified: 2013-09-05 15:40 UTC (History)
0 users

See Also:


Attachments
unbound_openssl_base.diff (924 bytes, patch)
2013-04-30 16:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2013-04-30 16:20:00 UTC
Do not depend on security/openssl if openssl in base is sufficient.

/head has v1.0.1e
/stable/9 has 0.9.8y, 9.1R has 0.9.8x, 9.0R (EOL) has 0.9.8q
/stable/8 has 0.9.8y, 8.4R has 0.9.8y, 8.3R has 0.9.8q

ecdsa(3) first appeared in 7.0R (EOL) which had 0.9.8e.
And unbound has EVP workaround for 0.9.8 since 1.4.18.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-30 16:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jaap 2013-09-05 14:41:25 UTC
Oops, forgot about this.

    >Description:
    Do not depend on security/openssl if openssl in base is sufficient.

I did actually tested this for ldns and it seems OK.

I'm not maintaining the unbound port so cannot speak for him, but I
assume he won't have a problem with it either.

	jaap
Comment 3 dfilter freebsd_committer 2013-09-05 15:37:43 UTC
Author: sem
Date: Thu Sep  5 14:37:34 2013
New Revision: 326404
URL: http://svnweb.freebsd.org/changeset/ports/326404

Log:
  - Do not depend on security/openssl if openssl in base is sufficient.
  
  PR:		ports/178262
  Submitted by:	Jan Beich <jbeich@tormail.org>
  Reviewed by:	ldns' port maintainer

Modified:
  head/dns/ldns/Makefile
  head/dns/unbound/Makefile

Modified: head/dns/ldns/Makefile
==============================================================================
--- head/dns/ldns/Makefile	Thu Sep  5 14:33:01 2013	(r326403)
+++ head/dns/ldns/Makefile	Thu Sep  5 14:37:34 2013	(r326404)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ldns
 PORTVERSION=	1.6.16
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	dns
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/ldns/ \
 		CRITICAL
@@ -268,7 +268,9 @@ PLIST_SUB+=	EXAMPLES="@comment "
 .endif # BUILD_PYLDNS
 
 .if ${PORT_OPTIONS:MGOST}
+. if ${OSVERSION} < 1000015
 BUILD_DEPENDS+=	openssl>=1.0:${PORTSDIR}/security/openssl
+. endif
 .else
 NO_GOST=	--disable-gost
 CONFIGURE_ARGS+=${NO_GOST}

Modified: head/dns/unbound/Makefile
==============================================================================
--- head/dns/unbound/Makefile	Thu Sep  5 14:33:01 2013	(r326403)
+++ head/dns/unbound/Makefile	Thu Sep  5 14:37:34 2013	(r326404)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	unbound
-# Date created:				25 Apr 2008
-# Whom:					Sergey Matveychuk <sem@FreeBSD.org>
-#
+# Created by: Sergey Matveychuk <sem@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	unbound
 PORTVERSION=	1.4.20
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	dns
 MASTER_SITES=	http://unbound.net/downloads/
 
@@ -49,13 +45,13 @@ OPTIONS_DEFINE=	THREADS PYTHON GOST ECDS
 OPTIONS_DEFAULT=THREADS ECDSA
 
 OPTIONS_RADIO=	LIBEVENT
-OPTIONS_RADIO_LIBEVENT= LIBEVENT14 LIBEVENT20
+OPTIONS_RADIO_LIBEVENT=	LIBEVENT14 LIBEVENT20
 
 LIBEVENT_DESC=	Enable whenever using many (10000) outgoing ports
 LIBEVENT14_DESC=Build against libevent-1.4 (devel/libevent)
 LIBEVENT20_DESC=Build against libevent-2.0 (devel/libevent2)
-GOST_DESC=	Enable GOST support (requires OpenSSL from ports)
-ECDSA_DESC=	Enable ECDSA (elliptic curve) support
+GOST_DESC=	Enable GOST support (requires OpenSSL >= 1.0)
+ECDSA_DESC=	Enable ECDSA (elliptic curve) support (OpenSSL >= 1.0)
 MUNIN_DESC=	Install Munin plugin
 
 .include <bsd.port.options.mk>
@@ -73,14 +69,15 @@ PYTHON=		"@comment "
 .endif
 
 .if ${PORT_OPTIONS:MGOST}
+. if ${OSVERSION} < 1000015
 WITH_OPENSSL_PORT=	yes
+. endif
 DEPENDS_ARGS+=	WITH_GOST=yes
 .else
 CONFIGURE_ARGS+=--disable-gost
 .endif
 
 .if ${PORT_OPTIONS:MECDSA}
-WITH_OPENSSL_PORT=yes
 DEPENDS_ARGS+=	WITH_ECDSA=yes
 .else
 CONFIGURE_ARGS+=--disable-ecdsa
@@ -133,7 +130,7 @@ post-install:
 	@${CAT} ${WRKDIR}/pkg-message
 	@${ECHO_MSG} "============================================================="
 .endif
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}; \
 	for f in ${PORTDOCS}; do \
 		cd ${WRKSRC}/doc && ${INSTALL_DATA} $${f} ${DOCSDIR}/; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sergey Matveychuk freebsd_committer 2013-09-05 15:37:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!